com.fasterxml.aalto.util

## Class XmlCharTypes

- java.lang.Object
- - com.fasterxml.aalto.util.XmlCharTypes

- Direct Known Subclasses:
    InputCharTypes, OutputCharTypes

      public class XmlCharTypes
      extends Object

  This is a simple container class, mostly used to encapsulate details of character typing out of parser/scanner/writer classes, while still making int arrays auto-generated only if needed (esp. for encodings never needed, which may be the case for ascii etc).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int[]` | `ATTR_CHARS` Character type table used for attribute values
    `static int` | `CT_AMP`
    `static int` | `CT_ATTR_QUOTE`
    `static int` | `CT_DTD_GT`
    `static int` | `CT_DTD_LT`
    `static int` | `CT_DTD_PERCENT`
    `static int` | `CT_DTD_QUOTE`
    `static int` | `CT_DTD_RBRACKET`
    `static int` | `CT_GT`
    `static int` | `CT_HYPHEN`
    `static int` | `CT_INVALID`
    `static int` | `CT_LBRACKET`
    `static int` | `CT_LT`
    `static int` | `CT_MULTIBYTE_2`
    `static int` | `CT_MULTIBYTE_3`
    `static int` | `CT_MULTIBYTE_4`
    `static int` | `CT_MULTIBYTE_N`
    `static int` | `CT_NAME_ANY`
    `static int` | `CT_NAME_COLON`
    `static int` | `CT_NAME_NONE`
    `static int` | `CT_NAME_NONFIRST`
    `static int` | `CT_OK`
    `static int` | `CT_QMARK`
    `static int` | `CT_RBRACKET`
    `static int` | `CT_WS_CR`
    `static int` | `CT_WS_LF`
    `static int` | `CT_WS_TAB`
    `int[]` | `DTD_CHARS` Character type table used for DTD subsets; contains a few additional types beyond most tables
    `int[]` | `NAME_CHARS` Character type table used for name characters (note: type ints used different from other tables)
    `int[]` | `OTHER_CHARS` Character type table used for events other than CHARACTERS or elements; ie.
    `static int[]` | `PUBID_CHARS` And finally, we also have shared table for valid public id characters...
    `static int` | `PUBID_INVALID`
    `static int` | `PUBID_OK`
    `int[]` | `TEXT_CHARS` Character type table used for regular textual content (for CHARACTERS event)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlCharTypes()`
    `XmlCharTypes(int size)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static void` | `fillIn8BitAttrRange(int[] arr)` Called to set state of 7-bit chars in attribute values
    `protected static void` | `fillIn8BitDtdRange(int[] arr)`
    `static void` | `fillIn8BitNameRange(int[] arr)`
    `protected static void` | `fillIn8BitTextRange(int[] arr)` Called to set state of 7-bit chars in text content
    `static void` | `fillInLatin1Chars(int[] textChars, int[] attrChars, int[] nameChars, int[] dtdChars, int[] otherChars)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CT_OK

          public static final int CT_OK

      See Also:
        Constant Field Values

    - #### CT_INVALID

          public static final int CT_INVALID

      See Also:
        Constant Field Values

    - #### CT_WS_CR

          public static final int CT_WS_CR

      See Also:
        Constant Field Values

    - #### CT_WS_LF

          public static final int CT_WS_LF

      See Also:
        Constant Field Values

    - #### CT_MULTIBYTE_N

          public static final int CT_MULTIBYTE_N

      See Also:
        Constant Field Values

    - #### CT_MULTIBYTE_2

          public static final int CT_MULTIBYTE_2

      See Also:
        Constant Field Values

    - #### CT_MULTIBYTE_3

          public static final int CT_MULTIBYTE_3

      See Also:
        Constant Field Values

    - #### CT_MULTIBYTE_4

          public static final int CT_MULTIBYTE_4

      See Also:
        Constant Field Values

    - #### CT_WS_TAB

          public static final int CT_WS_TAB

      See Also:
        Constant Field Values

    - #### CT_LT

          public static final int CT_LT

      See Also:
        Constant Field Values

    - #### CT_AMP

          public static final int CT_AMP

      See Also:
        Constant Field Values

    - #### CT_RBRACKET

          public static final int CT_RBRACKET

      See Also:
        Constant Field Values

    - #### CT_QMARK

          public static final int CT_QMARK

      See Also:
        Constant Field Values

    - #### CT_HYPHEN

          public static final int CT_HYPHEN

      See Also:
        Constant Field Values

    - #### CT_ATTR_QUOTE

          public static final int CT_ATTR_QUOTE

      See Also:
        Constant Field Values

    - #### CT_LBRACKET

          public static final int CT_LBRACKET

      See Also:
        Constant Field Values

    - #### CT_GT

          public static final int CT_GT

      See Also:
        Constant Field Values

    - #### CT_DTD_QUOTE

          public static final int CT_DTD_QUOTE

      See Also:
        Constant Field Values

    - #### CT_DTD_LT

          public static final int CT_DTD_LT

      See Also:
        Constant Field Values

    - #### CT_DTD_GT

          public static final int CT_DTD_GT

      See Also:
        Constant Field Values

    - #### CT_DTD_RBRACKET

          public static final int CT_DTD_RBRACKET

      See Also:
        Constant Field Values

    - #### CT_DTD_PERCENT

          public static final int CT_DTD_PERCENT

      See Also:
        Constant Field Values

    - #### CT_NAME_NONE

          public static final int CT_NAME_NONE

      See Also:
        Constant Field Values

    - #### CT_NAME_COLON

          public static final int CT_NAME_COLON

      See Also:
        Constant Field Values

    - #### CT_NAME_NONFIRST

          public static final int CT_NAME_NONFIRST

      See Also:
        Constant Field Values

    - #### CT_NAME_ANY

          public static final int CT_NAME_ANY

      See Also:
        Constant Field Values

    - #### PUBID_INVALID

          public static final int PUBID_INVALID

      See Also:
        Constant Field Values

    - #### PUBID_OK

          public static final int PUBID_OK

      See Also:
        Constant Field Values

    - #### TEXT_CHARS

          public final int[] TEXT_CHARS

      Character type table used for regular textual content (for CHARACTERS event)

    - #### ATTR_CHARS

          public final int[] ATTR_CHARS

      Character type table used for attribute values

    - #### NAME_CHARS

          public final int[] NAME_CHARS

      Character type table used for name characters (note: type ints used different from other tables)

    - #### DTD_CHARS

          public final int[] DTD_CHARS

      Character type table used for DTD subsets; contains a few additional types beyond most tables

    - #### OTHER_CHARS

          public final int[] OTHER_CHARS

      Character type table used for events other than CHARACTERS or elements; ie. for comments, PIs, CData, DTD internal subset

    - #### PUBID_CHARS

          public static final int[] PUBID_CHARS

      And finally, we also have shared table for valid public id characters...

  - ### Constructor Detail

    - #### XmlCharTypes

          public XmlCharTypes()

    - #### XmlCharTypes

          public XmlCharTypes(int size)

  - ### Method Detail

    - #### fillInLatin1Chars

          public static void fillInLatin1Chars(int[] textChars,
                               int[] attrChars,
                               int[] nameChars,
                               int[] dtdChars,
                               int[] otherChars)

    - #### fillIn8BitNameRange

          public static void fillIn8BitNameRange(int[] arr)

    - #### fillIn8BitTextRange

          protected static void fillIn8BitTextRange(int[] arr)

      Called to set state of 7-bit chars in text content

    - #### fillIn8BitAttrRange

          protected static void fillIn8BitAttrRange(int[] arr)

      Called to set state of 7-bit chars in attribute values

    - #### fillIn8BitDtdRange

          protected static void fillIn8BitDtdRange(int[] arr)

Copyright © 2012-2015 FasterXML. All Rights Reserved.